Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Contact support
Retrieve approval delegations, scheduled and active ones by default.
cURL
curl --request GET \ --url https://api.hyperline.co/v1/approvals/delegations \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.hyperline.co/v1/approvals/delegations" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.hyperline.co/v1/approvals/delegations', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.hyperline.co/v1/approvals/delegations", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.hyperline.co/v1/approvals/delegations" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.hyperline.co/v1/approvals/delegations") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.hyperline.co/v1/approvals/delegations") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "meta": { "total": 1, "taken": 1, "skipped": 0 }, "data": [ { "id": "apd_9dKs02LmPq1a3Z", "status": "active", "delegator_id": "usr_4sYw1nB8xKe0Qm", "delegate_id": "usr_7GhT2pLq9ZcV3r", "starts_at": "2026-12-21T00:00:00Z", "ends_at": "2027-01-04T00:00:00Z", "reason": "Christmas holidays", "created_at": "2024-12-20T16:04:11Z", "revoked_at": "2024-12-20T16:04:11Z" } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
0 <= x <= 100
x >= 0
Comma-separated IDs of the delegations to return.
ID of the delegator whose delegations to return.
ID of the delegate whose delegations to return.
Also return revoked and expired delegations. By default, only scheduled and active ones are returned.
false
Show child attributes
List of ApprovalDelegation.
Was this page helpful?